/*
    MSGLIB - a message handling library
    Copyright (C) 1995,1997  Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    See: COPYING.LB
*/
/*
    MSGLIB - a message handling library
    Copyright (C) 1995,1997  Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    See: COPYING.LB
*/
/* $RCSfile: PUTCM.C $
   $Locker:  $	$Name:  $	$State: Exp $

	file stream put character multiple

	int putcm(int c, int rep, FILE *fp);

	c: character
	rep: number of characters to dump
	fp: stream to dump to

	return: 0: OK
	       !0: not OK


*/

#include <stdio.h>
#include <portable.h>

#ifndef lint
static char const rcsid[] = 
	"$Id: PUTCM.C 1.2 1998/01/14 05:52:38 ska Exp $";
#endif


int putcm(const int c, int rep, FILE * const fp)
{	while(rep--)
		if(putc(c, fp) == EOF)
			return 1;

	return 0;
}
