/*
    MSGLIB - a message handling library
    Copyright (C) 1995,1997  Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    See: COPYING.LB
*/
/*
    MSGLIB - a message handling library
    Copyright (C) 1995,1997  Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    See: COPYING.LB
*/
/* $RCSfile: TEST.C $
   $Locker:  $	$Name:  $	$State: Exp $

	Test program for MSGLIB.

*/

#include <portable.h>
#include "yerror.h"

#ifndef lint
static char const rcsid[] = 
	"$Id: TEST.C 1.3 1998/01/14 05:52:38 ska Exp $";
#endif

char E_test1_nr = 1;
char E_test1[] = "This is only a plain string.\n";
char E_test2_nr = 2;
char E_test2[] = "This has three arguments:\narg1 = \"%s\"\narg2 = \"%s\"\narg3 = \"%s\".\n";
char E_test3_nr = 3;
char E_test3[] = "Now skip the second one:\narg1 = \"%s\"\narg2 skipped\n%-2%sarg3 = \"%s\".\n";
char E_test4_nr = 4;
char E_test4[] = "Now an ANSI enclosure (clear screen): %-%A\4[2J";
char E_test5_nr = 5;
char E_test5[] = "Now issue the second argument, then dump message 1\narg2 = \"%3%s\"%-2%s\nmsg1: %1%-%M";
main()
{	smessage(E_test4);
	smessage(E_test1, "Argument 1", "Argument 2", "Argument 3", E_test1);
	smessage(E_test2, "Argument 1", "Argument 2", "Argument 3", E_test1);
	smessage(E_test3, "Argument 1", "Argument 2", "Argument 3", E_test1);
	smessage(E_test5, E_test1, "Argument 1", "Argument 2", "Argument 3");
	smessage("Just try some numbers\n");
	smessage("%%d ==    <%d>\n", -1);
	smessage("%%5d ==   <%5d>\n", -1);
	smessage("%%-5d ==  <%-5d>\n", -1);
	smessage("%%05d ==  <%05d>\n", -1);
	smessage("%%-05d == <%-05d>\n", -1);
	smessage("%%d ==    <%d>\n", 2);
	smessage("%%5d ==   <%5d>\n", 2);
	smessage("%%-5d ==  <%-5d>\n", 2);
	smessage("%%05d ==  <%05d>\n", 2);
	smessage("%%-05d == <%-05d>\n", 2);
}
