@echo off
set __LNG=%1
if x%__LNG% == x set __LNG=%LNG%
if x%__LNG% == x set __LNG=english

set ERRLIST=
if exist errlist set ERRLIST=Y

rm -sf *.obj errlist msglib.lib msglib.lst
if exist c rm -sfl=1 1c c l

: config file, .COM, tiny, no debug, max optimization, disable C++ stuff
set __OPT=+BccDos.Cfg -tDc -mt -DNDEBUG=1 -O2 -O -Ol -Z -Obeimpv -RT-

call mkmsglib.bat

if x%ERRLIST% == x BCC.EXE %__OPT% -c @c
if not x%ERRLIST% == x BCC.EXE %__OPT% -c @c >>errlist
if errorlevel 1 goto ende

LIB.exe msglib.lib /SCW +- @l, msglib.lst
if errorlevel 1 goto ende

rm -sfl=1 1c c l

.\ftrim.com msglib.lib suppl_t.lib t_%__lng%.lib >ldlibs

if x%ERRLIST% == x BCC.EXE %__OPT% msgComp2.c @ldlibs
if not x%ERRLIST% == x BCC.EXE %__OPT% msgComp2.c @ldlibs >>errlist
if errorlevel 1 goto ende

if x%ERRLIST% == x BCC.EXE %__OPT% msgDiff.c @ldlibs
if not x%ERRLIST% == x BCC.EXE %__OPT% msgDiff.c @ldlibs >>errlist
if errorlevel 1 goto ende

Echo.
Echo All programs generated!
Echo.

rm -sf *.obj msglib.lib msglib.lst ldlibs
goto ende

:ende
set __LNG=
set ERRLIST=
