/*
    MSGLIB - a message handling library
    Copyright (C) 1995,1997  Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    See: COPYING.LB
*/
/* $Id: YERROR.H 1.1 1998/01/14 08:31:59 ska Exp $
   $Locker:  $	$Name:  $	$State: Exp $

   Template for local message declaration file.
   You need to update the names of the feature list file and the
   message declaration file you actually use.

*/

#ifndef __YERROR_H
#define __YERROR_H

/**********************
	Place the name of your feature list file here:				*/
#include "msgfeat.inc"


/**********************
	Place all defines that shall control special features/capabilties/
	bugs/etc. of the message library here:						*/


#include <portable.h>
#include <msglib.h>


/**************************
	Place the name of your message declaration file here:		*/
#include "msgdecl.inc"




/* no format string error reporting
extern MSGID E_hlpFmtStr;
#define Nr_E_hlpFmtStr 20
*/

#endif
